# template: default
%global gem_name fog-kubevirt

Name: rubygem-%{gem_name}
Version: 1.3.7
Release: 1%{?dist}
Summary: Module for the 'fog' gem to support Kubevirt
License: Apache-2.0
URL: https://github.com/fog/fog-kubevirt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
This library can be used as a module for `fog`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Thu Dec 15 2022 Dirk Goetz <dirk.goetz@netways.de> 1.3.7-1
- Update to 1.3.7

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.3.3-2
- Rebuild for Ruby 2.7

* Mon Nov 11 2019 Shira Maximov <shiramaximov@gmail.com> 1.3.3-1
- Update to 1.3.3

* Mon Jul 08 2019 Shira Maximov <shiramaximov@gmail.com> 1.3.1-1
- Update to 1.3.1

* Tue May 14 2019 Moti Asayag <masayag@redhat.com> 1.3.0-1
- Update to 1.3.0

* Wed Apr 24 2019 Moti Asayag <masayag@redhat.com> 1.2.5-1
- Add rubygem-fog-kubevirt generated by gem2rpm using the scl template

